Loading...
Searching...
No Matches
Dune::GridGlue::IntersectionList< Local0, Local1 > Class Template Reference

`#include <dune/grid-glue/merging/intersectionlist.hh>`

Inheritance diagram for Dune::GridGlue::IntersectionList< Local0, Local1 >:

## Public Types

using | Provider = IntersectionListProvider<Local0, Local1>
using | Index = typename Provider::Index

## Public Member Functions

| IntersectionList (const std::shared_ptr< Provider > &provider)
std::size_t | size () const
template<int I>
std::size_t | parents (Index intersection) const
template<int I>
Index | parent (Index intersection, unsigned index=0) const
template<int I>
auto | corner (Index intersection, unsigned corner, unsigned index=0) const

## Detailed Description

template<typename Local0, typename Local1>
class Dune::GridGlue::IntersectionList< Local0, Local1 >

Template Parameters

  L0 | type of local coordinates in the first grid
  L1 | type of local coordinates in the second grid

## Member Typedef Documentation

## Index

template<typename Local0, typename Local1>

using Dune::GridGlue::IntersectionList< Local0, Local1 >::Index = typename Provider::Index

## Provider

template<typename Local0, typename Local1>

using Dune::GridGlue::IntersectionList< Local0, Local1 >::Provider = IntersectionListProvider<Local0, Local1>

## Constructor & Destructor Documentation

## IntersectionList()

template<typename Local0, typename Local1>

Dune::GridGlue::IntersectionList< Local0, Local1 >::IntersectionList | ( | const std::shared_ptr< Provider > & | provider | ) |

inline

## Member Function Documentation

## corner()

template<typename Local0, typename Local1>
template<int I>

auto Dune::GridGlue::IntersectionList< Local0, Local1 >::corner | ( | Index | intersection,
|  | unsigned | corner,
|  | unsigned | index = 0 ) const

inline

corner local coordinates of an embedding of an intersection in the I-th grid

Template Parameters

  I | number of the grid (0 or 1)

Parameters

  intersection | number of the intersection
  corner | number of the corner
  index | number of the embedding of the intersection

## parent()

template<typename Local0, typename Local1>
template<int I>

Index Dune::GridGlue::IntersectionList< Local0, Local1 >::parent | ( | Index | intersection,
|  | unsigned | index = 0 ) const

inline

parent entity of an embedding of an intersection in the I-th grid

Template Parameters

  I | number of the grid (0 or 1)

Parameters

  intersection | number of the intersection
  index | number of the embedding of the intersection

## parents()

template<typename Local0, typename Local1>
template<int I>

std::size_t Dune::GridGlue::IntersectionList< Local0, Local1 >::parents | ( | Index | intersection | ) | const

inline

number of embeddings of the intersection-th intersection into the I-th grid

Template Parameters

  I | number of the grid (0 or 1)

Parameters

  intersection | number of the intersection

## size()

template<typename Local0, typename Local1>

std::size_t Dune::GridGlue::IntersectionList< Local0, Local1 >::size | ( |  | ) | const

inline

number of intersections in the merged grid

The documentation for this class was generated from the following file:

- intersectionlist.hh